Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\FieldType\RichText\Converter\Html5Edit Class Reference

Adds ConfigResolver awareness to the Xslt converter. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\FieldType\RichText\Converter\Html5Edit:

## Public Member Functions
| __construct ($stylesheet, ConfigResolverInterface $configResolver)
Public Member Functions inherited from eZ\Publish\Core\FieldType\RichText\Converter\Xslt
| __construct ($stylesheet, array $customStylesheets=[])
| Constructor. More...
| convert (DOMDocument $document)
| Performs conversion of the given $document using XSLT stylesheet. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\FieldType\RichText\Converter\Xslt
| getXSLTProcessor ()
| Returns the XSLTProcessor to use to transform internal XML to HTML5. More...
| getSortedCustomStylesheets ()
| Returns custom stylesheets to load, sorted. More...
Protected Member Functions inherited from eZ\Publish\Core\FieldType\RichText\XmlBase
| loadFile ($path)
| Returns DOMDocument object loaded from given XML file $path. More...
| formatLibXmlError (LibXMLError $error)
| Formats libxml error object as a string. More...
| startRecordingErrors ()
| Enables user handling of libxml errors and clears error buffer. More...
| collectErrors ()
| Returns formatted errors from libxml error buffer and restores previous setting for libxml error handling. More...
Protected Attributes inherited from eZ\Publish\Core\FieldType\RichText\Converter\Xslt
| $stylesheet
| $customStylesheets = []
Protected Attributes inherited from eZ\Publish\Core\FieldType\RichText\XmlBase
| $useInternalErrors
| $errorTypes

## Detailed Description

Adds ConfigResolver awareness to the Xslt converter.

Definition at line 15 of file Html5Edit.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\FieldType\RichText\Converter\Html5Edit::__construct | ( |  | $stylesheet,
|  | ConfigResolverInterface | $configResolver
| ) |  |

Definition at line 17 of file Html5Edit.php.

References eZ\Publish\Core\FieldType\RichText\Converter\Xslt\$customStylesheets, eZ\Publish\Core\FieldType\RichText\Converter\Xslt\$stylesheet, and eZ\Publish\Core\MVC\ConfigResolverInterface\getParameter().

The documentation for this class was generated from the following file:

- Html5Edit.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.